For the complete documentation index, see llms.txt. This page is also available as Markdown.

Refresh JWT Token

Refresh JWT tokens

post

Exchange refresh_token for JWT tokens.

Authorizations
X-Ledger-API-KeystringRequired

If you've set up your API Key when initializing your LAM, you'll need to include it as a header along with the api user header. For more details, see step 5 of the get started documentation.

X-Ledger-API-UserstringRequired

(required) Username of a registered API User

Body
refresh_tokenstringRequired

The refresh_token used to get new JWTs

Responses
200

JWT tokens

application/json
access_tokenstringRequired

The JWT required to authenticate against our API

expires_inintegerRequired

The number of seconds this token is valid for

Example: 300
refresh_tokenstringRequired

The JWT used to get another access_token

session_statestringRequired

The session ID related to this token

token_typestringRequired

The type of authentication scheme

Example: Bearer
post/auth/token/refresh
POST /auth/token/refresh HTTP/1.1
X-Ledger-API-Key: YOUR_API_KEY
X-Ledger-API-User: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 24

{
  "refresh_token": "text"
}
{
  "access_token": "text",
  "expires_in": 300,
  "refresh_token": "text",
  "session_state": "text",
  "token_type": "Bearer"
}